NGINX Documentation

ModSecurity WAF Technical Specifications

The ModSecurity WAF is a module for NGINX Plus. Please inquire for additional platforms and modules.

Supported Distributions

Amazon Linux

  • 2016.09+ (x86_64)

CentOS

  • 6.5+ (i386, x86_64)
  • 7.0+ (x86_64)

Debian

  • 8.0 (i386, x86_64)
  • 9.0 (i386, x86_64)

FreeBSD

  • 10.3 (x86_64)
  • 11.0 (x86_64)

Oracle Linux

  • 6.5 (i386, x86_64)
  • 7.0 (x86_64)

Red Hat Enterprise Linux

  • 6.5 (i386, x86_64)
  • 7.0 (x86_64)

SUSE Linux Enterprise Server

  • 12, 12 SP1 (x86_64)

Ubuntu

  • 14.04 LTS (i386, x86_64)
  • 16.04 LTS (i386, x86_64)
  • 17.04 (i386, x86_64)
  • 17.10 (i386, x86_64)

Note: CentOS/Oracle/Red Hat Enterprise Linux 6.5 users please see this advisory when upgrading to version 6.6.

Note: i386 and x86_64 support only, no aarch64 or ppc64le

Supported Deployment Environments

  • Bare metal
  • Container
  • Public cloud: AWS, Google Cloud Platofrm, Microsoft Azure
  • Virtual Machine